All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Interface TableNavigationInterface

All Known Subinterfaces:
  TableNavigationV2Interface

All Known Implementing Classes:
  BaseDataBean

    public interface TableNavigationInterface

Defines an interface for navigating through a table. This will usually be implemented in tandem with the primary interface to tables, StaticTableInterface.

TableNavigationInterface is used by the NavigationBar component to provide quick and easy form building.

Method Summary
`boolean` | `commit()` Commits any changes to the current row to the table.
`boolean` | `delete()` Deletes the current row from the table.
`boolean` | `first()` Move to the first row (or observation).
`boolean` | `insert()` Prepares for a new record to be inserted into the table.
`boolean` | `isCommitSupported()` Determines whether the commit method can be called.
`boolean` | `isCursorValid()` Determines whether the current row position is valid
`boolean` | `isDeleteSupported()` Determines whether the delete method can be called.
`boolean` | `isFirstSupported()` Determines whether the first method can be called.
`boolean` | `isInsertSupported()` Determines whether the insert method can be called.
`boolean` | `isLastSupported()` Determines whether the last method can be called.
`boolean` | `isModified()` Determines whether the current row has been modified.
`boolean` | `isNextSupported()` Determines whether the next method can be called.
`boolean` | `isPreviousSupported()` Determines whether the previous method can be called.
`boolean` | `last()` Move to the last row (or observation).
`boolean` | `move(int row)` Moves to the absolute row number given (1-based)
`boolean` | `next()` Move to the next row (or observation).
`boolean` | `previous()` Move to the previous row (or observation).

Method Detail

### previous

    boolean previous()

  Move to the previous row (or observation).

  Returns:
    true if the cursor was positioned to the previous row

### next

    boolean next()

  Move to the next row (or observation).

  Returns:
    true if the cursor was positioned to the next row

### first

    boolean first()

  Move to the first row (or observation).

  Returns:
    true if the cursor was positioned to the first row

### last

    boolean last()

  Move to the last row (or observation).

  Returns:
    true if the cursor was positioned to the last row

### insert

    boolean insert()

  Prepares for a new record to be inserted into the table.

  Returns:
    true if ready to insert a new row

### move

    boolean move(int row)

  Moves to the absolute row number given (1-based)

  Parameters:
    `row` - 1-based row number
  Returns:
    true if the cursor was positioned to a valid row

### commit

    boolean commit()

  Commits any changes to the current row to the table. This includes any updates or inserting a new row into the table.

  Returns:
    true if the row was committed

### delete

    boolean delete()

  Deletes the current row from the table.

  Returns:
    true if the row was deleted

### isPreviousSupported

    boolean isPreviousSupported()

  Determines whether the previous method can be called.

  Returns:
    true if the previous method can be called

### isNextSupported

    boolean isNextSupported()

  Determines whether the next method can be called.

### isFirstSupported

    boolean isFirstSupported()

  Determines whether the first method can be called.

  Returns:
    true if the first method can be called

### isLastSupported

    boolean isLastSupported()

  Determines whether the last method can be called.

  Returns:
    true if the last method can be called

### isInsertSupported

    boolean isInsertSupported()

  Determines whether the insert method can be called.

  Returns:
    true if the insert method can be called

### isCommitSupported

    boolean isCommitSupported()

  Determines whether the commit method can be called.

  Returns:
    true if the commit method can be called

### isDeleteSupported

    boolean isDeleteSupported()

  Determines whether the delete method can be called.

  Returns:
    true if the delete method can be called

### isModified

    boolean isModified()

  Determines whether the current row has been modified.

  Returns:
    true if the current row has been modified

### isCursorValid

    boolean isCursorValid()

  Determines whether the current row position is valid

  Returns:
    true if the cursor is positioned on a valid row

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.